export interface Article {
  id: string;
  title: string;
  excerpt: string;
  content: string;
  categoryId: number;
  cityId: number;
  author: Author;
  coverImage: string;
  gallery?: GalleryImage[];
  publishedAt: string;
  readTime: number;
  likes: number;
  dislikes: number;
  userReaction?: 'like' | 'dislike' | null;
}

export interface GalleryImage {
  id: string;
  url: string;
  caption: string;
  alt: string;
}

export interface Author {
  id: string;
  name: string;
  avatar: string;
  bio: string;
}

// export interface Category {
//   id: number;
//   name: CategoryName;
// }

export type CategoryName = 'Film' | 'Theater' | 'Music' | 'Sports' | 'Art' | 'Legends' | 'Anniversaries' | 'Memory';
export type CategoryIds  = '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8';

export type City = 'New York' | 'London';

/*
export const CategoryMap: Record<string, number> = {
  'Film': 1,
  'Theater': 2,
  'Music': 3,
  'Sports': 4,
  'Art': 5,
  'Legends': 6,
  'Anniversaries': 7,
  'Memory': 8,
};
*/
